<?php 

header("Access-Control-Allow-Origin:*");

include("../common_function.php");


$output = ''; 
$rowCount = 0;

$sqlDc = "SELECT * from dc_entry_creation where cancel_status='0' and dc_status = '1' and out_pass_status='0'  and delete_status='0' order by dc_id DESC";
$queryDc = $conn->prepare($sqlDc);
$queryDc->execute();   

while ($resultDc = $queryDc->fetch()) {

	$receiptAmount = 0;
	$prodData = array();
	$dcNum = '"'.$resultDc['dc_number'].'"';
	$type = $resultDc['vehicle_type'];
	$vehicle_no = '';

	
	if($type == 'company'){

		$vehicle_no = get_vehicle_no($resultDc['truck_id']);
		

	}
	elseif($type == 'private'){

		$vehicle_no = get_private_vehicle_no($resultDc['truck_id']).' ( Private )';
		

	}

	$output .= "<div class='ui-shadow ui-corner-all followup_list_style ui-body-a' id='order_info_list'>
					<div class='small_font'>Vehicle No</div><div class='normal_font' style='color:#ff3300; font-size: 20px'>".$vehicle_no."</div>
					<div class='small_font'>Sale Date</div><div class='normal_font' style='color:#ff3300; font-size: 17px'>".date("d-m-Y h:i:s A",strtotime($resultDc['entry_date']))."</div><div class='small_font'>DC Number</div><div class='normal_font'>".$resultDc['dc_number']."</div>";
	
	$output .=  "<div class='small_font'>Item Name</div>";

	
	$sqlTrip = "SELECT prod_id,uom_id,load_qty,amount,tax_per from assign_trip_sub where trip_no='$resultDc[trip_assign_no]' and delete_status='0' and dc_cancel_status='0'";	
	$queryTrip = $conn->prepare($sqlTrip);
	$queryTrip->execute();

	$i = 0;
	

	while ($resultTrip = $queryTrip->fetch()) {

		$output .= "<div class='normal_font'>".get_product_name($resultTrip['prod_id'])."</div>";

		$prodData[$i]["qty"] = $resultTrip['load_qty'];
		$prodData[$i]["uom"] = $resultTrip['uom_id'];

		$i++;

	}

	$output .=  "<div class='small_font'>Qty(UOM)</div>";
	

	foreach ($prodData as $key => $value) {
		
		$output .= "<div class='normal_font'>".$value['qty']." ".get_uom_name($value['uom'])."</div>";

	}

	
	$output .= "<div class='ui-grid-b' style='border-top:1px solid #D5CFCF;'>
					<div class='ui-block-a'><a href='#' class='ui-shadow ui-btn ui-corner-all ui-btn-icon-left ui-icon-mail button_list'  onclick='pos_print_function(".$dcNum.")'>Print</a></div>
					
				</div>";

	$output .= "</div>"; 

	$rowCount++;
	
}






$myObj->design = $output;
$myObj->rowcount = $rowCount;

echo json_encode($myObj);

?>